# surface plot of a halfpipe
# 2000 (c) Klaus Betzler
GNUHALFPIPE=0
ax=1;  ay=0.5;  my=0.5;  x0=3;  r=10
Z(x,y)=r-((abs(x)<r)?sqrt(r*r-x*x):0)-my*y
X(v)=x0*cos(ax*T(v))
T(v)=sqrt(2*v/ay)
set parametric
set urange [-20:20];  set vrange [0:100]
set isosamples 60,60
set hidden3d;  set view 50,150,0.7,1.5
set noxtics;  set noytics;  set noztics
set nokey;  set ticslevel 0
splot u,v,Z(u,v) lw 0.3, X(v),v,Z(X(v),v)+0.2 lw 5
GNUHALFPIPE=1
pause -1
set term postscript eps enh solid "Helvetica" 22
set output "halfpipe.ps"
replot
