# surface plot of an atomic p-function
# 2000 (c) Klaus Betzler
GNUPFUN=0
set parametric
set angles degrees
set noborder;  set nokey
set hidden3d;  set view 60, 30, 1, 1
set noxtics;  set noytics;  set noztics
set urange [ 0 : 360 ];  set vrange [ -90 : 90 ]
set xrange [ -1 : 1 ];  set yrange [ -1 : 1 ]
set zrange [ -1 : 1 ];  set size square
set isosamples 50, 50
r(u,v)=sin(v)*sin(v)
X(u,v)=r(u,v)*cos(v)*sin(u)
Y(u,v)=r(u,v)*cos(v)*cos(u)
Z(u,v)=r(u,v)*sin(v)
splot X(u,v),Y(u,v),Z(u,v) lw 0.3
GNUPFUN=1
pause -1
set term post eps enh solid
set out "pfun.ps"
replot
